## developers-reference 3.4.3

=== Makefile ===
# Makefile, used for the developers-reference in DocBook XML

# Note: This Makefile should work perfectly without the debian/ directory.

SOURCES		:= $(wildcard *.dbk) common.ent version.ent

FORMATS		:= html txt pdf
LANGS           := fr ja
TARGETS		:= $(foreach fmt,$(FORMATS),developers-reference.$(fmt)) \
		   $(foreach lng,$(LANGS), \
		       $(foreach fmt,$(FORMATS), \
		           $(lng)/developers-reference.$(fmt)))
# list of targets, that currently cannot build
BLACKLIST	:= ja/developers-reference.pdf

# hopefully overwritten by caller, e.g. debian/rules
VERSION=unknown
PUBDATE=unknown

# programs for creating output
XP=xsltproc --nonet --novalid --xinclude
XL=xmllint --nonet --noout --postvalid --xinclude
# dblatex 0.2.8 has some problems (e.g. #465221 and Japanese does
# not build)
# Alternatives:
# - docbook2pdf (seems to die on UTF-8, #431085); and
# - fop is currently in contrib, but can go to main, see #366783
# - xmlroff (not mature enough, #182445)
DBLATEX=dblatex --style=db2latex
# The "--keep 0" should be removed as soon as the translations are ready
TRANSLATE=po4a-translate --format docbook --keep 0

# XSL files and parameters
# note: the URL is used as identifier, no HTTP is used!
DOCBOOK_XSL=http://docbook.sourceforge.net/release/xsl/current
# for HTML output
DBK2HTML=$(CURDIR)/html.xsl
# all in one file for text output
DBK2HTML1=$(CURDIR)/txt.xsl

.PHONY:	all
all:    $(filter-out $(BLACKLIST), $(TARGETS))

.PHONY: validate
validate:			$(SOURCES)
	$(XL) index.dbk

%/validate:			$(addprefix %/,$(SOURCES))
	cd $(@D) && $(XL) index.dbk

# This rule controls the build and installation on the website
# Logs are here: http://www-master.debian.org/build-logs/ddp/
.PHONY: publish
publish:	all
	[ -d $(PUBLISHDIR) ] || exit 1
	install -d -m 755 $(PUBLISHDIR)/developers-reference
	rm -f $(PUBLISHDIR)/developers-reference/*.html
	rm -f en && ln -sf . en
	$(foreach format,$(FORMATS),$(foreach lang,en $(LANGS),for file in $(lang)/*.$(format); do if [ -e "$$file" ]; then cp $$file $(PUBLISHDIR)/developers-reference/$$(basename $$file .$(format)).$(lang).$(format); fi; done;))
	ln -sf index.en.html $(PUBLISHDIR)/developers-reference/index.html
	ln -sf developers-reference.en.pdf $(PUBLISHDIR)/developers-reference/developers-reference.pdf
	ln -sf developers-reference.en.txt $(PUBLISHDIR)/developers-reference/developers-reference.txt

.PHONY: developers-reference.html %/developers-reference.html
developers-reference.html:	$(CURDIR)/index.html
%/developers-reference.html:	$(addprefix %/,index.html)
	@true

.PRECIOUS:			%/index.html
index.html:			$(CURDIR)/developers-reference.html
%/index.html:			$(addprefix %/,$(SOURCES))
	cd $(@D) && $(XP) $(DBK2HTML) index.dbk

# There must be an easier way than recursive make!
.PRECIOUS:		%.dbk %.ent
ifndef LINGUA
%.dbk %.ent: FORCE
	$(MAKE) $@ LINGUA=`basename $(@D)`

FORCE:
else
$(LINGUA)/%.dbk:	%.dbk $(patsubst %.dbk,po4a/$(LINGUA)/%.po,%.dbk)
	$(TRANSLATE) -m $< -p po4a/$(@:.dbk=.po) -l $@

$(LINGUA)/common.ent:	common.ent
	cd $(@D) && ln -sf ../$(@F) .
endif

developers-reference.txt:	$(CURDIR)/developers-reference.txt
%/developers-reference.txt:	$(addprefix %/,$(SOURCES))
	$(XP) $(DBK2HTML1) $(@D)/index.dbk \
	    | w3m -cols 70 -dump -no-graph -T text/html > $@

developers-reference.pdf:       $(CURDIR)/developers-reference.pdf
%/developers-reference.pdf:     $(addprefix %/,$(SOURCES))
	TOP=`pwd` && cd $(@D) && $(DBLATEX) index.dbk \
	    && mv index.dbk.pdf $(@F)

.PHONY: pot
pot:				$(patsubst %.dbk,po4a/po/%.pot,$(SOURCES))
po4a/po/%.pot:			%.dbk
	po4a-gettextize --format docbook --master $< --po $@

ifdef LINGUA
.PHONY: updatepo
updatepo:			$(patsubst %.dbk,po4a/$(LINGUA)/%.po,$(SOURCES))
po4a/$(LINGUA)/%.po:		%.dbk
	po4a-updatepo --format docbook --master $< --po $@
endif

tidypo:
	for po in $(wildcard po4a/*/*.po po4a/*/*.pot); do \
	    msgcat $$po > $$po.tmp && mv $$po.tmp $$po; \
	done

checkpo:
	@for po in $(wildcard po4a/*/*.po po4a/*/*.pot); do \
	    echo $$po; \
	    msgfmt --check --verbose $$po; \
	done

%/version.ent:
	echo '<!ENTITY version "$(VERSION)">' >  $@
	echo '<!ENTITY pubdate "$(PUBDATE)">' >> $@

.PHONY: clean
clean:
	rm -f *.fo *.html *.pdf *.txt
	for L in $(LANGS); do rm -rf `basename ./"$$L"/`; done
	rm -f version.ent
	rm -f `find . -name "*~" -o -name "*.bak"`
	rm -f *~ *.bak .#* core

.PHONY: distclean
distclean: clean
	rm -f *.rej *.orig

# if rule bomb out, delete the target
.DELETE_ON_ERROR:

=== debian/changelog ===
developers-reference (3.4.3) unstable; urgency=low

  * Fixed working of the repackaged tarballs section to avoid giving the
    impression that it's a standard packages must comply with. Closes:
    #489135.
  * Specify that bugs from removed packages must be closed in foo+rm.
    Closes: #491839.
  * Change the maintainer address to debian-policy@, based on discussion
    on debian-devel@.
  * Bump Standards-Version to 3.8.3. No changes needed.
  * Update copyright notices and list of authors.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Thu, 17 Sep 2009 20:56:19 +0200

developers-reference (3.4.2) unstable; urgency=low

  * Applied patch from Justin B Rye that improves the discussion on writing
    package descriptions. Closes: #516436.
  * Lenny has been released, update the list of codenames. Closes: #527008.
  * Applied patch from Paul Wise that adds a paragraph about hostile
    upstreams. Closes: #523985.
  * Applied patch from Charles Plessy about providing information to the
    ftpmasters. Closes: #526410.
  * In the section about patch systems, mention quilt (wasn not
    mentionned before) and describe it as the recommended patch system.
    also mention dpatch and cdbs' patch system. drop dbs. Closes: #525668.
  * Added a note in the wanna-build section to mention
    http://release.debian.org/wanna-build.txt. Closes: #516375.
  * Clarified NMU versioning to reflect existing practices. Closes: #532945.
  * s/README.Debian-source/README.source/ in the section
    about repackaged upstream tarballs.
  * Mention the Gandi.net hosting discount in section 4.13.
    Applied patch from Tim Retout. Closes: #538245.
  * Reduce length of title of L10N section so that it is no longer split.
    Applied patch from Justin B Rye. Closes: #534688.
  * Bumped debhelper compat level to 5 (4 was deprecated)
  * Bump Standards-Version to 3.8.2. No changes needed.
  * Added pointer to debian-project@ post about the wanna-build team.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Sat, 22 Aug 2009 12:28:04 +0200

=== debian/control ===
Source: developers-reference
Section: doc
Priority: optional
Maintainer: Developers Reference Maintainers <debian-policy@lists.debian.org>
Uploaders: Lucas Nussbaum <lucas@lucas-nussbaum.net>, Marc 'HE' Brockschmidt <he@debian.org>, Raphael Hertzog <hertzog@debian.org>
Standards-Version: 3.8.3
Build-Depends-Indep: docbook-xsl (>= 1.71.0), dblatex (>= 0.2), xsltproc, libxml2-utils, po4a, w3m
Build-Depends: debhelper (>= 5)
Vcs-Svn: svn://svn.debian.org/ddp/manuals/trunk/developers-reference
Vcs-Browser: http://svn.debian.org/wsvn/ddp/manuals/trunk/developers-reference?op=log

Package: developers-reference
Architecture: all
Recommends: debian-policy
Suggests: doc-base
Description: guidelines and information for Debian developers
 This package contains the Debian Developer's Reference, a set of
 guidelines and best practices which has been established by and for
 the community of Debian developers.  If you are not a Debian
 developer, you probably do not need this package.
 .
 Table of Contents:
 .
 ${TOC:en}
 .
 This package contains the English version of the Developer's
 Reference.  The French translation is available in
 developers-reference-fr.

Package: developers-reference-fr
Architecture: all
Recommends: debian-policy
Suggests: doc-base
Description: guidelines and information for Debian developers, in French
 This package contains the French translation of Debian Developer's
 Reference (package: developers-reference), a set of guidelines and
 best practices which has been established by and for the community of
 Debian developers.  If you are not a Debian developer, you probably
 do not need this package.
 .
 Table of Contents (in English):
 .
 ${TOC:en}

## developers-reference 3.4.4

=== Makefile ===
--- 
+++ 
@@ -56,7 +56,7 @@
 	install -d -m 755 $(PUBLISHDIR)/developers-reference
 	rm -f $(PUBLISHDIR)/developers-reference/*.html
 	rm -f en && ln -sf . en
-	$(foreach format,$(FORMATS),$(foreach lang,en $(LANGS),for file in $(lang)/*.$(format); do if [ -e "$$file" ]; then cp $$file $(PUBLISHDIR)/developers-reference/$$(basename $$file .$(format)).$(lang).$(format); fi; done;))
+	$(foreach format,$(FORMATS),$(foreach lang,en $(LANGS),for file in $(lang)/*.$(format); do if [ -e "$$file" ]; then cp --preserve=timestamps $$file $(PUBLISHDIR)/developers-reference/$$(basename $$file .$(format)).$(lang).$(format); fi; done;))
 	ln -sf index.en.html $(PUBLISHDIR)/developers-reference/index.html
 	ln -sf developers-reference.en.pdf $(PUBLISHDIR)/developers-reference/developers-reference.pdf
 	ln -sf developers-reference.en.txt $(PUBLISHDIR)/developers-reference/developers-reference.txt
@@ -80,7 +80,11 @@
 FORCE:
 else
 $(LINGUA)/%.dbk:	%.dbk $(patsubst %.dbk,po4a/$(LINGUA)/%.po,%.dbk)
-	$(TRANSLATE) -m $< -p po4a/$(@:.dbk=.po) -l $@
+#	$(TRANSLATE) -m $< -p po4a/$(@:.dbk=.po) -l $@ -a ?po4a/$(@:.dbk=.add)
+# workaround to "-a ?" only possible with po4a version in Squeeze, otherwise build is broken in Lenny
+	if [ -f po4a/$(@:.dbk=.add) ]; then \
+		$(TRANSLATE) -m $< -p po4a/$(@:.dbk=.po) -l $@ -a po4a/$(@:.dbk=.add); else \
+		$(TRANSLATE) -m $< -p po4a/$(@:.dbk=.po) -l $@; fi
 
 $(LINGUA)/common.ent:	common.ent
 	cd $(@D) && ln -sf ../$(@F) .
@@ -89,7 +93,7 @@
 developers-reference.txt:	$(CURDIR)/developers-reference.txt
 %/developers-reference.txt:	$(addprefix %/,$(SOURCES))
 	$(XP) $(DBK2HTML1) $(@D)/index.dbk \
-	    | w3m -cols 70 -dump -no-graph -T text/html > $@
+	    | w3m -o display_charset=UTF-8 -cols 70 -dump -no-graph -T text/html > $@
 
 developers-reference.pdf:       $(CURDIR)/developers-reference.pdf
 %/developers-reference.pdf:     $(addprefix %/,$(SOURCES))
@@ -105,7 +109,7 @@
 .PHONY: updatepo
 updatepo:			$(patsubst %.dbk,po4a/$(LINGUA)/%.po,$(SOURCES))
 po4a/$(LINGUA)/%.po:		%.dbk
-	po4a-updatepo --format docbook --master $< --po $@
+	po4a-updatepo --previous --format docbook --master $< --po $@
 endif
 
 tidypo:

=== debian/changelog ===
developers-reference (3.4.4) unstable; urgency=low

  [ Lucas Nussbaum ]
  * Document the new derivatives-bugs PTS keyword.
  * Removed hp.debian.or.jp reference. Closes: 561597

  [ Raphaël Hertzog ]
  * Update description of the PTS "summary" keyword. Thanks to
    Simon McVittie <smcv@debian.org> for the patch. Closes: #469154
  * Add accent on my first name in debian/control.
  * Use "3.0 (native)" source format with bzip2 compression.
    Created debian/source/{format,options} for this.
  * Update guideline for override change to point to BTS
    instead of email. Thanks to Simon McVittie <smcv@debian.org> for the
    patch. Closes: #540231
  * Include full URL to the README of the upload queue. Thanks to Simon
    McVittie <smcv@debian.org> for the patch. Closes: #540974
  * The key protecting #debian-private is now stored on a file
    on master.debian.org, it's no more required to search into
    the debian-private archives. Thanks to gregor herrmann <gregoa@debian.org>
    for the patch. Closes: #548823
  * Update information about upload queues. Thanks to Simon McVittie
    <smcv@debian.org> for the patches:
    - point to official names {ftp,ssh}.upload.debian.org. Closes: #554054
    - drop references to non-working queues. Closes: #554077
  * Mention docbook, POD and reST as convenient formats to write new manual
    pages. Thanks to Charles Plessy and the debian-mentors list
    for the idea and the patch. Closes: #557298
  * Update several sections to take into account the new source formats “3.0
    (quilt)” and “3.0 (native)”. Closes: #561952
  * Drop reference to “dbs” in the section about including binary files.
  * Fix typo “transfered“ → “transferred”. Closes: #555685
  * Fix typo “programms“ → “programs”. Closes: #560808
  * Drop section about debmake, it has been removed of Debian since lenny.
  * Update URL of the security tracker. Thanks to Salvatore Bonaccorso.
    Closes: #556229
  * Update URL of Packages-arch-specific. Closes: #553974
  * Update section about Alioth to mention FusionForge instead of GForge.
    Drop mention of separate cvs.debian.org it's managed by Alioth too.
    Closes: #564068
  * Document new "buildd" keyword from the PTS.
  * Update URL explaining the "Debian Maintainer" status, it's now at
    http://wiki.debian.org/DebianMaintainer. Closes: #564414
  * Update number of source packages. Thanks Karl Goetz. Closes: #567235
  * Update and simplify list of architectures. Thanks Karl Goetz.
    Closes: #567234
  * Small typo fixes and clarifications/rewordings suggested by Karl Goetz.
    Closes: #567233
  * Document the notion of "team upload": it looks like an NMU but it's not
    really one because the uploader is an implicit co-maintainer since he's
    part of the maintenance team. Thanks to Charles Plessy for the initial
    patch. Closes: #573110
  * Update standards-version to 3.9.1 and add missing ${misc:Depends} in
    dependencies.
  * Fix debian/tocsubstvars to cope with the new way dpkg-dev handles
    multi-lines substitution variables.

  [ David Prévot ]
  * Update outdated mentions, typos and tags. Closes: #578664
  * French translation updated from the 2006 debiandoc version.
  * Apply updated patch from Nicolas François. Closes: #257150
  * dinstall run happens four times a day. Closes: #585161
  * Activate Japanese package.
  * Handle addendum if it exists.

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 22 Nov 2010 19:28:03 -0400

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: doc
 Priority: optional
 Maintainer: Developers Reference Maintainers <debian-policy@lists.debian.org>
-Uploaders: Lucas Nussbaum <lucas@lucas-nussbaum.net>, Marc 'HE' Brockschmidt <he@debian.org>, Raphael Hertzog <hertzog@debian.org>
-Standards-Version: 3.8.3
+Uploaders: Lucas Nussbaum <lucas@lucas-nussbaum.net>, Marc 'HE' Brockschmidt <he@debian.org>, Raphaël Hertzog <hertzog@debian.org>
+Standards-Version: 3.9.1
 Build-Depends-Indep: docbook-xsl (>= 1.71.0), dblatex (>= 0.2), xsltproc, libxml2-utils, po4a, w3m
 Build-Depends: debhelper (>= 5)
 Vcs-Svn: svn://svn.debian.org/ddp/manuals/trunk/developers-reference
@@ -11,6 +11,7 @@
 
 Package: developers-reference
 Architecture: all
+Depends: ${misc:Depends}
 Recommends: debian-policy
 Suggests: doc-base
 Description: guidelines and information for Debian developers
@@ -24,11 +25,12 @@
  ${TOC:en}
  .
  This package contains the English version of the Developer's
- Reference.  The French translation is available in
- developers-reference-fr.
+ Reference.  The French and Japanese translations are available in
+ developers-reference-fr and developers-reference-ja.
 
 Package: developers-reference-fr
 Architecture: all
+Depends: ${misc:Depends}
 Recommends: debian-policy
 Suggests: doc-base
 Description: guidelines and information for Debian developers, in French
@@ -41,3 +43,19 @@
  Table of Contents (in English):
  .
  ${TOC:en}
+
+Package: developers-reference-ja
+Architecture: all
+Depends: ${misc:Depends}
+Recommends: debian-policy
+Suggests: doc-base
+Description: guidelines and information for Debian developers, in Japanese
+ This package contains the Japanese translation of Debian Developer's
+ Reference (package: developers-reference), a set of guidelines and
+ best practices which has been established by and for the community of
+ Debian developers.  If you are not a Debian developer, you probably
+ do not need this package.
+ .
+ Table of Contents (in English):
+ .
+ ${TOC:en}

=== debian/rules ===
#!/usr/bin/make -f
# rules file for developers-reference

package		:= developers-reference

# directory abstraction
prefix		:= debian/$(package)
docdir		:= $(prefix)/usr/share/doc/$(package)
docbaserel	:= /usr/share/doc-base
docbasedir	:= $(prefix)$(docbaserel)

# list of language packages, in the form pkg-LANG; must jibe
# with debian/control
langs		:= fr
langs_nopdf	:= ja

# tool abstraction
install_file	:= install -o root -g root -m 644 -p
install_script	:= install -o root -g root -m 755 -p
make_directory	:= install -d -o root -g root -m 755

# version abstraction
DEB_VERSION	:= $(shell awk -F '[()]' '/^$(package)/{ print $$2; exit }' debian/changelog)
DEB_DATE	:= $(shell dpkg-parsechangelog 2>/dev/null | sed -n 's/^Date: *//p')
# pretty-print the date; I wish this was dynamic like the top-level makefile but oh well
PUBDATE		:= $(shell LC_ALL=C date --date="$(DEB_DATE)" -I)

# debhelper verbose mode
#export DH_VERBOSE=1

build:
	$(checkdir)
	rm -f version.ent
	$(MAKE) VERSION=$(DEB_VERSION) PUBDATE=$(PUBDATE) LANGS="$(langs) $(langs_nopdf)"
	touch build

.PHONY: clean
clean:
	$(checkdir)
	$(MAKE) clean
	rm -f build
	dh_clean

.PHONY: test
test:
#	 nothing to test ATM

.PHONY: install
install:	build
	$(checkdir)
	$(checkroot)
	dh_clean -k

	dh_installdocs -p$(package) README-contrib \
	    *.html \
	    developers-reference.txt \
	    developers-reference.pdf

	set -e; for lang in $(langs); do \
	    dh_installdocs -p$(package)-$$lang README-contrib \
	        $$lang/*.html \
	        $$lang/developers-reference.txt \
		$$lang/developers-reference.pdf; \
	done

	set -e; for lang in $(langs_nopdf); do \
	    dh_installdocs -p$(package)-$$lang README-contrib \
	            $$lang/*.html \
	            $$lang/developers-reference.txt; \
	done

.PHONY: binary-indep
binary-indep:	test install
	$(checkdir)
	$(checkroot)
	dh_installdirs -i
	dh_installchangelogs -i
	dh_compress -i -X.pdf
	dh_fixperms -i
	debian/tocsubstvars -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i


.PHONY: binary-arch
binary-arch:	build install
#	 There are no architecture-dependent files to be uploaded
#	 generated by this package.

define checkdir
	test -f debian/rules
	test -f index.dbk
endef

# Below here is fairly generic really

define checkroot
	test `id -u` = 0
endef

.PHONY: binary
binary:		binary-indep binary-arch

## developers-reference 3.4.5

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 SOURCES		:= $(wildcard *.dbk) common.ent version.ent
 
 FORMATS		:= html txt pdf
-LANGS           := fr ja
+LANGS           := de fr ja
 TARGETS		:= $(foreach fmt,$(FORMATS),developers-reference.$(fmt)) \
 		   $(foreach lng,$(LANGS), \
 		       $(foreach fmt,$(FORMATS), \

=== debian/changelog ===
developers-reference (3.4.5) unstable; urgency=low

  * Team upload.

  [ Gerfried Fuchs ]
  * Remove part about -v for package uploads from experimental to unstable,
    version tracking removed that requirement.

  [ Raphaël Hertzog ]
  * Rework section on "sponsoring packages" and include a basic
    checklist for the sponsor. Closes: #453313
  * Update the "Debian Developer's Duties" chapter to be more explicit
    about duties of package maintainers. Closes: #548867
  * Update references to merkel (which is decommissionned) where
    needed. Closes: #619990
    Thanks to Charles Plessy for the patch.
  * Many typos fixed by Chris Leick <c.leick@vollbio.de>. Closes: #623512

  [ Chris Leick ]
  * Initial German translation.

  [ David Prévot ]
  * Activate German package. Closes: #623489
  * Update French translation.
  * Bump Standards-Version to 3.9.2. No changes needed.
  * Add build-arch and build-indep targets.
  * Explicitly refer to GPL-2 file in debian/copyright.

  [ Hideki Yamane ]
  * Update Japanese translation.

 -- David Prévot <taffit@debian.org>  Sun, 19 Jun 2011 13:56:46 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Developers Reference Maintainers <debian-policy@lists.debian.org>
 Uploaders: Lucas Nussbaum <lucas@lucas-nussbaum.net>, Marc 'HE' Brockschmidt <he@debian.org>, Raphaël Hertzog <hertzog@debian.org>
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Build-Depends-Indep: docbook-xsl (>= 1.71.0), dblatex (>= 0.2), xsltproc, libxml2-utils, po4a, w3m
 Build-Depends: debhelper (>= 5)
 Vcs-Svn: svn://svn.debian.org/ddp/manuals/trunk/developers-reference
@@ -25,8 +25,25 @@
  ${TOC:en}
  .
  This package contains the English version of the Developer's
- Reference.  The French and Japanese translations are available in
- developers-reference-fr and developers-reference-ja.
+ Reference.  The French, German and Japanese translations are available
+ in developers-reference-fr, developers-reference-de and
+ developers-reference-ja.
+
+Package: developers-reference-de
+Architecture: all
+Depends: ${misc:Depends}
+Recommends: debian-policy
+Suggests: doc-base
+Description: guidelines and information for Debian developers, in German
+ This package contains the German translation of Debian Developer's
+ Reference (package: developers-reference), a set of guidelines and
+ best practices which has been established by and for the community of
+ Debian developers.  If you are not a Debian developer, you probably
+ do not need this package.
+ .
+ Table of Contents (in English):
+ .
+ ${TOC:en}
 
 Package: developers-reference-fr
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 # list of language packages, in the form pkg-LANG; must jibe
 # with debian/control
-langs		:= fr
+langs		:= fr de
 langs_nopdf	:= ja
 
 # tool abstraction
@@ -28,7 +28,12 @@
 # debhelper verbose mode
 #export DH_VERBOSE=1
 
-build:
+build: build-arch build-indep
+
+build-arch:
+#	nothing arch dependant
+
+build-indep:
 	$(checkdir)
 	rm -f version.ent
 	$(MAKE) VERSION=$(DEB_VERSION) PUBDATE=$(PUBDATE) LANGS="$(langs) $(langs_nopdf)"

## developers-reference 3.4.6

=== debian/changelog ===
developers-reference (3.4.6) unstable; urgency=low

  [ Raphaël Hertzog ]
  * Update the NMU rules to take into account the 0-day NMU rule
    instituted by the release managers. Closes: #625449

  [ Lucas Nussbaum ]
  * Update my email address.
  * Encourage the use of RT to contact the security team.
    Patch from Thijs Kinkhorst. Closes: #610782
  * Document the process of returning after retirement.
    Patch from Serafeim Zanikolas. Closes: #540249
  * Add instructions how to mark a non-free package as auto-buildable.
    Patch from Moritz Muehlenhoff, ACKed by Andreas Barth.
    Closes: #602838

 -- Lucas Nussbaum <lucas@debian.org>  Sun, 31 Jul 2011 19:52:10 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: doc
 Priority: optional
 Maintainer: Developers Reference Maintainers <debian-policy@lists.debian.org>
-Uploaders: Lucas Nussbaum <lucas@lucas-nussbaum.net>, Marc 'HE' Brockschmidt <he@debian.org>, Raphaël Hertzog <hertzog@debian.org>
+Uploaders: Lucas Nussbaum <lucas@debian.org>, Marc 'HE' Brockschmidt <he@debian.org>, Raphaël Hertzog <hertzog@debian.org>
 Standards-Version: 3.9.2
 Build-Depends-Indep: docbook-xsl (>= 1.71.0), dblatex (>= 0.2), xsltproc, libxml2-utils, po4a, w3m
 Build-Depends: debhelper (>= 5)

## developers-reference 3.4.7

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 		       $(foreach fmt,$(FORMATS), \
 		           $(lng)/developers-reference.$(fmt)))
 # list of targets, that currently cannot build
-BLACKLIST	:= ja/developers-reference.pdf
+#BLACKLIST	:= ja/developers-reference.pdf
 
 # hopefully overwritten by caller, e.g. debian/rules
 VERSION=unknown
@@ -80,11 +80,7 @@
 FORCE:
 else
 $(LINGUA)/%.dbk:	%.dbk $(patsubst %.dbk,po4a/$(LINGUA)/%.po,%.dbk)
-#	$(TRANSLATE) -m $< -p po4a/$(@:.dbk=.po) -l $@ -a ?po4a/$(@:.dbk=.add)
-# workaround to "-a ?" only possible with po4a version in Squeeze, otherwise build is broken in Lenny
-	if [ -f po4a/$(@:.dbk=.add) ]; then \
-		$(TRANSLATE) -m $< -p po4a/$(@:.dbk=.po) -l $@ -a po4a/$(@:.dbk=.add); else \
-		$(TRANSLATE) -m $< -p po4a/$(@:.dbk=.po) -l $@; fi
+	$(TRANSLATE) -m $< -p po4a/$(@:.dbk=.po) -l $@ -a ?po4a/$(@:.dbk=.add)
 
 $(LINGUA)/common.ent:	common.ent
 	cd $(@D) && ln -sf ../$(@F) .
@@ -95,10 +91,16 @@
 	$(XP) $(DBK2HTML1) $(@D)/index.dbk \
 	    | w3m -o display_charset=UTF-8 -cols 70 -dump -no-graph -T text/html > $@
 
+XSLT		:= xslt
+
 developers-reference.pdf:       $(CURDIR)/developers-reference.pdf
 %/developers-reference.pdf:     $(addprefix %/,$(SOURCES))
-	TOP=`pwd` && cd $(@D) && $(DBLATEX) index.dbk \
-	    && mv index.dbk.pdf $(@F)
+	$(DBLATEX) $(@D)/index.dbk \
+	    --backend=xetex \
+	    --xsl-user=$(XSLT)/user_param.xsl \
+	    --xsl-user=$(XSLT)/xetex_param.xsl \
+	    --param=lingua=$(@D) \
+	    && mv $(@D)/index.dbk.pdf $@
 
 .PHONY: pot
 pot:				$(patsubst %.dbk,po4a/po/%.pot,$(SOURCES))

=== debian/changelog ===
developers-reference (3.4.7) unstable; urgency=low

  * Team upload.

  [ Raphaël Hertzog ]
  * Document some best practices for meta-packages. Extend those for
    transitional packages. Based on a patch by Luca Falavigna
    <dktrkranz@debian.org> (thanks!). Closes: #569219
  * Update license pointer to correctly point to GPL-2. Closes: #643929
    Thanks to Luca Falavigna.
  * Update URL of Debian Mentors FAQ. Closes: #643930
    Thanks to Luca Falavigna for the patch.
  * Refresh some release-specific information. Closes: #643931
    Based on a patch by Luca Falavigna.
  * Refresh some ftpmaster-related information. Closes: #643932
    Thanks to Luca Falavigna for the patch.
  * Update minimal GPG key length to match current requirements.
    Closes: #643933 Thanks to Luca Falavigna for the patch.
  * Update login information for rt.debian.org. Closes: #643934
    Thanks to Luca Falavigna for the patch.
  * Drop section about yada. Its usage is highly discouraged. Closes: #643935
    Thanks to Luca Falavigna for the patch.
  * Update best practice about unfuzzying PO file translations to recommend
    msguntypot. Thanks to David Prévot for the patch.
    Acked-by Christian Perrier. Closes: #655153

  [ David Prévot ]
  * Add doc-base file for the German translation.
  * Typo fix, thanks to Andreas Moog. Closes: #655096
  * Use XeTeX backend, that fix quotes in examples. Closes: #629530
  * Build the Japanese PDF, thanks to Osamu Aoki and the maint-guide build
    process.

  * Translation updates (all completed)
    - Japanese by Hideki Yamane.
    - German by Chris Leick.
    - French by David Prévot.

 -- David Prévot <taffit@debian.org>  Tue, 17 Jan 2012 16:36:12 -0400

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,9 @@
 Maintainer: Developers Reference Maintainers <debian-policy@lists.debian.org>
 Uploaders: Lucas Nussbaum <lucas@debian.org>, Marc 'HE' Brockschmidt <he@debian.org>, Raphaël Hertzog <hertzog@debian.org>
 Standards-Version: 3.9.2
-Build-Depends-Indep: docbook-xsl (>= 1.71.0), dblatex (>= 0.2), xsltproc, libxml2-utils, po4a, w3m
+Build-Depends-Indep: docbook-xsl (>= 1.71.0), dblatex (>= 0.2), xsltproc, libxml2-utils, po4a, w3m,
+ fonts-ipafont-gothic, fonts-ipafont-mincho, gsfonts, latex-cjk-xcjk, lmodern,
+ texlive-lang-cyrillic, texlive-lang-french, texlive-lang-german, texlive-xetex
 Build-Depends: debhelper (>= 5)
 Vcs-Svn: svn://svn.debian.org/ddp/manuals/trunk/developers-reference
 Vcs-Browser: http://svn.debian.org/wsvn/ddp/manuals/trunk/developers-reference?op=log

=== debian/rules ===
--- 
+++ 
@@ -11,8 +11,8 @@
 
 # list of language packages, in the form pkg-LANG; must jibe
 # with debian/control
-langs		:= fr de
-langs_nopdf	:= ja
+langs		:= de fr ja
+langs_nopdf	:= 
 
 # tool abstraction
 install_file	:= install -o root -g root -m 644 -p

## developers-reference 3.4.8

=== debian/changelog ===
developers-reference (3.4.8) unstable; urgency=low

  [ David Prévot ]
  * Move away po4a handling in its own directory with a single config file.
  * Adapt Makefile and README-contrib to the current po4a tree.
  * Upgrades to stable should be discussed using reportbug. Thanks to Don
    Armstrong <don@donarmstrong.com> for the patch.
    Acked-by: Julien Cristau <jcristau@debian.org> . Closes: #670362
  * Use UTF-8 locale to prepare the text version. Closes: #658839
  * Delayed queue goes from 0 to 15-day. Closes: #631353

  [ Osamu Aoki ]
  * Make XeTeX backend to use xCJK package only for CJK and add tipa for
    build dependency. (See #666569). Closes: #666578

  * Translation updates (complete)
    - French by David Prévot.  
    - German by Chris Leick.

  [ Raphaël Hertzog ]
  * Update Standards-Version to 3.9.3 (no change required).
  * Switch to xz compression for source.
  * Clean up debian/rules by using dh (with compat level 8).
  * Drop build-dependency on latex-cjk-xcjk since xeCJK.sty is provided
    by texlive-xetex directly.

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 25 Jun 2012 18:57:23 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Developers Reference Maintainers <debian-policy@lists.debian.org>
 Uploaders: Lucas Nussbaum <lucas@debian.org>, Marc 'HE' Brockschmidt <he@debian.org>, Raphaël Hertzog <hertzog@debian.org>
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Build-Depends-Indep: docbook-xsl (>= 1.71.0), dblatex (>= 0.2), xsltproc, libxml2-utils, po4a, w3m,
- fonts-ipafont-gothic, fonts-ipafont-mincho, gsfonts, latex-cjk-xcjk, lmodern,
+ fonts-ipafont-gothic, fonts-ipafont-mincho, gsfonts, lmodern, tipa,
  texlive-lang-cyrillic, texlive-lang-french, texlive-lang-german, texlive-xetex
-Build-Depends: debhelper (>= 5)
+Build-Depends: debhelper (>= 8), dpkg-dev (>= 1.16.1~)
 Vcs-Svn: svn://svn.debian.org/ddp/manuals/trunk/developers-reference
 Vcs-Browser: http://svn.debian.org/wsvn/ddp/manuals/trunk/developers-reference?op=log

## developers-reference 3.4.9

=== Makefile ===
--- 
+++ 
@@ -27,8 +27,7 @@
 # - fop is currently in contrib, but can go to main, see #366783
 # - xmlroff (not mature enough, #182445)
 DBLATEX=dblatex --style=db2latex
-# The "--keep 0" should be removed as soon as the translations are ready
-TRANSLATE=po4a-translate --format docbook --keep 0
+TRANSLATE=po4a po4a/po4a.cfg
 
 # XSL files and parameters
 # note: the URL is used as identifier, no HTTP is used!
@@ -75,12 +74,13 @@
 .PRECIOUS:		%.dbk %.ent
 ifndef LINGUA
 %.dbk %.ent: FORCE
+	$(TRANSLATE)
 	$(MAKE) $@ LINGUA=`basename $(@D)`
 
 FORCE:
 else
-$(LINGUA)/%.dbk:	%.dbk $(patsubst %.dbk,po4a/$(LINGUA)/%.po,%.dbk)
-	$(TRANSLATE) -m $< -p po4a/$(@:.dbk=.po) -l $@ -a ?po4a/$(@:.dbk=.add)
+$(LINGUA)/%.dbk:	%.dbk po4a/$(LINGUA).po
+	$(TRANSLATE)
 
 $(LINGUA)/common.ent:	common.ent
 	cd $(@D) && ln -sf ../$(@F) .
@@ -89,7 +89,7 @@
 developers-reference.txt:	$(CURDIR)/developers-reference.txt
 %/developers-reference.txt:	$(addprefix %/,$(SOURCES))
 	$(XP) $(DBK2HTML1) $(@D)/index.dbk \
-	    | w3m -o display_charset=UTF-8 -cols 70 -dump -no-graph -T text/html > $@
+	    | LC_ALL=C.UTF-8 w3m -o display_charset=UTF-8 -cols 70 -dump -no-graph -T text/html > $@
 
 XSLT		:= xslt
 
@@ -103,26 +103,25 @@
 	    && mv $(@D)/index.dbk.pdf $@
 
 .PHONY: pot
-pot:				$(patsubst %.dbk,po4a/po/%.pot,$(SOURCES))
-po4a/po/%.pot:			%.dbk
-	po4a-gettextize --format docbook --master $< --po $@
+pot:					po4a/po/developers-reference.pot
+po4a/po/developers-reference.pot:	%.dbk
+	$(TRANSLATE)
 
 ifdef LINGUA
 .PHONY: updatepo
-updatepo:			$(patsubst %.dbk,po4a/$(LINGUA)/%.po,$(SOURCES))
-po4a/$(LINGUA)/%.po:		%.dbk
-	po4a-updatepo --previous --format docbook --master $< --po $@
+updatepo:			po4a/po/$(LINGUA).po
+po4a/po/$(LINGUA).po:		%.dbk
+	$(TRANSLATE)
 endif
 
 tidypo:
-	for po in $(wildcard po4a/*/*.po po4a/*/*.pot); do \
-	    msgcat $$po > $$po.tmp && mv $$po.tmp $$po; \
+	for po in po4a/po/*.po; do \
+	    msgcat -o $$po $$po; \
 	done
 
 checkpo:
-	@for po in $(wildcard po4a/*/*.po po4a/*/*.pot); do \
-	    echo $$po; \
-	    msgfmt --check --verbose $$po; \
+	@for po in po4a/po/*.po; do \
+	    msgfmt -vv $$po; \
 	done
 
 %/version.ent:

=== debian/changelog ===
developers-reference (3.4.9) unstable; urgency=low

  * Team upload.

  [ Raphaël Hertzog ]
  * Clarify that removals from testing are possible. Closes: #678710
    Thanks to Per Andersson <avtobiff@gmail.com> for the patch.
  * Reword various parts to be gender-neutral. Closes: #678712
    Thanks to Per Andersson and Steve Langasek for the patch.
  * Recommend usage of gender-neutral formulations in README-contrib.
  * Fix Vcs-Browser URL. Thanks to Charles Plessy who spotted it.
  * Document the existence of "hints" that release managers can
    use to tweak the conditions of testing migration. Closes: #679562
    Thanks to Paul Gevers <paul@climbing.nl> for the patch.

  [ Translation updates ]
  * Japanese by Hideki Yamane.
  * French by David Prévot.
  * German by Chris Leick.

  [ David Prévot ]
  * Fix typo: Freenodes -> Freenode. Closes: #679735

 -- David Prévot <taffit@debian.org>  Sun, 19 Aug 2012 17:34:59 -0400

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  texlive-lang-cyrillic, texlive-lang-french, texlive-lang-german, texlive-xetex
 Build-Depends: debhelper (>= 8), dpkg-dev (>= 1.16.1~)
 Vcs-Svn: svn://svn.debian.org/ddp/manuals/trunk/developers-reference
-Vcs-Browser: http://svn.debian.org/wsvn/ddp/manuals/trunk/developers-reference?op=log
+Vcs-Browser: http://anonscm.debian.org/viewvc/ddp/manuals/trunk/developers-reference/
 
 Package: developers-reference
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# rules file for developers-reference

include /usr/share/dpkg/default.mk

DEB_DATE	:= $(shell dpkg-parsechangelog 2>/dev/null | sed -n 's/^Date: *//p')
PUBDATE		:= $(shell LC_ALL=C date --date="$(DEB_DATE)" -I)

LANGS		:= $(shell dh_listpackages| sed -n -e 's/developers-reference-//p')

%:
	dh $@

override_dh_auto_build:
	$(MAKE) VERSION=$(DEB_VERSION) PUBDATE=$(PUBDATE) LANGS="$(LANGS)"

override_dh_compress:
	dh_compress -X.pdf

override_dh_installdeb:
	debian/tocsubstvars
	dh_installdeb
		
update-l10n-files:
	for lang in $(LANGS); do \
	    (echo "README-contrib"; \
	     echo "$$lang/*.html"; \
	     echo "$$lang/developers-reference.txt"; \
	     echo "$$lang/developers-reference.pdf") \
	    > debian/developers-reference-$$lang.docs; \
	done

.PHONY: update-l10n-files

## developers-reference 3.4.11

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 SOURCES		:= $(wildcard *.dbk) common.ent version.ent
 
-FORMATS		:= html txt pdf
+FORMATS		:= html txt pdf epub
 LANGS           := de fr ja
 TARGETS		:= $(foreach fmt,$(FORMATS),developers-reference.$(fmt)) \
 		   $(foreach lng,$(LANGS), \
@@ -59,6 +59,7 @@
 	ln -sf index.en.html $(PUBLISHDIR)/developers-reference/index.html
 	ln -sf developers-reference.en.pdf $(PUBLISHDIR)/developers-reference/developers-reference.pdf
 	ln -sf developers-reference.en.txt $(PUBLISHDIR)/developers-reference/developers-reference.txt
+	ln -sf developers-reference.en.epub $(PUBLISHDIR)/developers-reference/developers-reference.epub
 
 .PHONY: developers-reference.html %/developers-reference.html
 developers-reference.html:	$(CURDIR)/index.html
@@ -102,6 +103,10 @@
 	    --param=lingua=$(@D) \
 	    && mv $(@D)/index.dbk.pdf $@
 
+developers-reference.epub:      $(CURDIR)/developers-reference.epub
+%/developers-reference.epub:     $(addprefix %/,$(SOURCES))
+	TOP=`pwd` && cd $(@D) && xmlto epub index.dbk && mv index.epub $(@F)
+
 .PHONY: pot
 pot:					po4a/po/developers-reference.pot
 po4a/po/developers-reference.pot:	%.dbk
@@ -130,7 +135,7 @@
 
 .PHONY: clean
 clean:
-	rm -f *.fo *.html *.pdf *.txt
+	rm -f *.fo *.html *.pdf *.txt *.epub
 	for L in $(LANGS); do rm -rf `basename ./"$$L"/`; done
 	rm -f version.ent
 	rm -f `find . -name "*~" -o -name "*.bak"`

=== debian/changelog ===
developers-reference (3.4.11) unstable; urgency=low

  * Team upload.

  [ Raphaël Hertzog ]
  * Update versioning advice for security uploads as well. Closes: #709218
    Thanks to Salvatore Bonaccorso for the patch.

 -- David Prévot <taffit@debian.org>  Wed, 07 Aug 2013 14:06:40 +0200

developers-reference (3.4.10) unstable; urgency=low

  * Team upload.

  [ Raphaël Hertzog ]
  * Add recommendations to re-introduce packages. Thanks to Paul Wise for the
    patch. Closes: #685039
  * Drop paragraph about vanilla debian/rules files which mainly points to a
    no-longer working link.

  [ Hideki Yamane ]
  * Introduce epub support. Closes: #652044

  [ Thijs Kinkhorst ]
  * Update versioning advice for uploads to stable/testing. Closes: #685646
  * Advise to use codename-security instead of stable-security.
    Closes: #708290

  [ Translation updates ]
  * French by David Prévot.
  * Japanese by victory.
  * German by Chris Leick.

  [ David Prévot ]
  * debian/control:
    - Update Standards-Version to 3.9.4 (no change required).
    - Use canonical URL for Vcs-Svn.

 -- David Prévot <taffit@debian.org>  Thu, 16 May 2013 18:35:23 -0400

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,13 @@
 Priority: optional
 Maintainer: Developers Reference Maintainers <debian-policy@lists.debian.org>
 Uploaders: Lucas Nussbaum <lucas@debian.org>, Marc 'HE' Brockschmidt <he@debian.org>, Raphaël Hertzog <hertzog@debian.org>
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Build-Depends-Indep: docbook-xsl (>= 1.71.0), dblatex (>= 0.2), xsltproc, libxml2-utils, po4a, w3m,
  fonts-ipafont-gothic, fonts-ipafont-mincho, gsfonts, lmodern, tipa,
- texlive-lang-cyrillic, texlive-lang-french, texlive-lang-german, texlive-xetex
+ texlive-lang-cyrillic, texlive-lang-french, texlive-lang-german, texlive-xetex,
+ xmlto, zip
 Build-Depends: debhelper (>= 8), dpkg-dev (>= 1.16.1~)
-Vcs-Svn: svn://svn.debian.org/ddp/manuals/trunk/developers-reference
+Vcs-Svn: svn://anonscm.debian.org/ddp/manuals/trunk/developers-reference
 Vcs-Browser: http://anonscm.debian.org/viewvc/ddp/manuals/trunk/developers-reference/
 
 Package: developers-reference

## developers-reference 3.4.14

=== debian/changelog ===
developers-reference (3.4.14) unstable; urgency=medium

  [ Paul Wise ]
  * Update links from http to https where possible

  [ Lucas Nussbaum ]
  * Drop section on goodies, point to wiki instead.
    Closes: #751489, #586186
  * dpkg-buildpackage now uses fakeroot automatically. Closes: #750988
  * Drop section on debsums as this functionality is now integrated in
    dpkg. Closes: #750990
  * Mention other types of checksums besides MD5. Closes: #750994
  * Mention rationale for including the description in ITPs. Closes:
    #494332
  * Mention getting removed from e-mail aliases in retiring procedure.
    Closes: #736232
  * Fix typos in german translation. Patch from Thomas Schumm (Thanks!).
    Closes: #686253
  * Update DSA contact points. Closes: #713043
  * Mention collab-maint in the VCS section. Closes: #496815

 -- Lucas Nussbaum <lucas@debian.org>  Fri, 29 Aug 2014 15:07:34 -0700

developers-reference (3.4.13) unstable; urgency=medium

  [ Andreas Rönnquist ]
  * Fix typo in NMU section s/blocking/block/. Closes: #755515

  [ Lucas Nussbaum ]
  * Fix typo in Vcs-Git:. Closes: #756491
  * resources: Mention that some of the goodies also apply to DMs.
    Thanks Philipp Kaluza for the patch. Closes: #581603
  * Clarify type of changes accepted in NMUs. Thanks to Chris Knadle for the
    patch! Closes: #672198
  * Add Steam subscriptions to the list of goodies. Thanks to Paul Wise
    for the patch. Closes: #736381
  * Replace 'Debian GNU/Linux' with 'Debian' (except at one place). Thanks
    to 'victory' for the patch. Closes: #708665
  * Add pointer to debian-experimental-changes@l.d.o, where uploads to
    experimental are sent. Thanks to Guo Yixuan for the patch! Closes: #671705
  * Recommend git-bp instead of cvs-bp, and cowbuilder instead of pbuilder-uml.
    Thanks to Osamu Aoki and Andreas Rönnquist for the patch! Closes: #741269
  * Update for jessie. Thanks Fabien Givors for the patch! Closes: #719888

 -- Lucas Nussbaum <lucas@debian.org>  Wed, 30 Jul 2014 17:52:15 +0200

developers-reference (3.4.12) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Update preferred contact method for the security team. Closes: #738607
    Thanks to Salvatore Bonaccorso for the patch.

  [ Charles Plessy ]
  * Removed mention of Gandi's discontinued discount.

  [ Lucas Nussbaum ]
  * Move maintenance to Git & collab-maint. Update Vcs-*.
  * Update Standards-Version to 3.9.5 (no change required).

 -- Lucas Nussbaum <lucas@debian.org>  Tue, 08 Jul 2014 15:54:19 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Developers Reference Maintainers <debian-policy@lists.debian.org>
 Uploaders: Lucas Nussbaum <lucas@debian.org>, Marc 'HE' Brockschmidt <he@debian.org>, Raphaël Hertzog <hertzog@debian.org>
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Build-Depends-Indep: docbook-xsl (>= 1.71.0), dblatex (>= 0.2), xsltproc, libxml2-utils, po4a, w3m,
  fonts-ipafont-gothic, fonts-ipafont-mincho, gsfonts, lmodern, tipa,
  texlive-lang-cyrillic, texlive-lang-french, texlive-lang-german, texlive-xetex,
  xmlto, zip
 Build-Depends: debhelper (>= 8), dpkg-dev (>= 1.16.1~)
-Vcs-Svn: svn://anonscm.debian.org/ddp/manuals/trunk/developers-reference
-Vcs-Browser: http://anonscm.debian.org/viewvc/ddp/manuals/trunk/developers-reference/
+Vcs-Git: git://anonscm.debian.org/collab-maint/developers-reference.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/developers-reference.git
 
 Package: developers-reference
 Architecture: all

## developers-reference 3.4.15

=== debian/changelog ===
developers-reference (3.4.15) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Drop myself from Uploaders.

  [ Hideki Yamane ]
  * add css and images for HTML documents, borrowed from debian reference. 
    (Closes: #780787)
  * not say "security NMU" but just say "upload" (Closes: #784244)
  * just say wheezy as "Debian 7", instead of "7.0" (Closes: #784248)
  * update README-Contrib (svn to git) by Charles Plessy <plessy@debian.org>
    (Closes: #761005)
  * suggest to use codename for the upload target distribution for
    testing-proposed-update.
    Thanks to Stefano Rivera <stefanor@debian.org> (Closes: #780243)
  * suggest to use "<codename><n> version" scheme.
    Thanks to Stefano Rivera <stefanor@debian.org> (Closes: #768426)
  * adjust release codename and version number.
  * fix wrong encoding in epub (Closes: #738566)

 -- Lucas Nussbaum <lucas@debian.org>  Thu, 11 Jun 2015 13:15:09 +0200

## developers-reference 3.4.17

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,8 @@
 # Makefile, used for the developers-reference in DocBook XML
 
 # Note: This Makefile should work perfectly without the debian/ directory.
+
+MANUAL		:= developers-reference
 
 SOURCES		:= $(wildcard *.dbk) common.ent version.ent
 
@@ -33,9 +35,11 @@
 # note: the URL is used as identifier, no HTTP is used!
 DOCBOOK_XSL=http://docbook.sourceforge.net/release/xsl/current
 # for HTML output
-DBK2HTML=$(CURDIR)/html.xsl
+DBK2HTML=$(CURDIR)/xslt/html.xsl
 # all in one file for text output
-DBK2HTML1=$(CURDIR)/txt.xsl
+DBK2HTML1=$(CURDIR)/xslt/txt.xsl
+# image files
+DIMG    :=      /usr/share/xml/docbook/stylesheet/nwalsh/images
 
 .PHONY:	all
 all:    $(filter-out $(BLACKLIST), $(TARGETS))
@@ -47,6 +51,12 @@
 %/validate:			$(addprefix %/,$(SOURCES))
 	cd $(@D) && $(XL) index.dbk
 
+.PHONY: css
+css:
+	mkdir $(CURDIR)/images
+	cd $(DIMG) && cp caution.png important.png note.png tip.png up.gif warning.png $(CURDIR)/images
+	cd $(CURDIR)/pngfile && cp *.png $(CURDIR)/images
+
 # This rule controls the build and installation on the website
 # Logs are here: http://www-master.debian.org/build-logs/ddp/
 .PHONY: publish
@@ -56,6 +66,7 @@
 	rm -f $(PUBLISHDIR)/developers-reference/*.html
 	rm -f en && ln -sf . en
 	$(foreach format,$(FORMATS),$(foreach lang,en $(LANGS),for file in $(lang)/*.$(format); do if [ -e "$$file" ]; then cp --preserve=timestamps $$file $(PUBLISHDIR)/developers-reference/$$(basename $$file .$(format)).$(lang).$(format); fi; done;))
+	cp --preserve=timestamps $(CURDIR)/images $(CURDIR)/*.css $(PUBLISHDIR)/developers-reference/
 	ln -sf index.en.html $(PUBLISHDIR)/developers-reference/index.html
 	ln -sf developers-reference.en.pdf $(PUBLISHDIR)/developers-reference/developers-reference.pdf
 	ln -sf developers-reference.en.txt $(PUBLISHDIR)/developers-reference/developers-reference.txt
@@ -68,8 +79,9 @@
 
 .PRECIOUS:			%/index.html
 index.html:			$(CURDIR)/developers-reference.html
-%/index.html:			$(addprefix %/,$(SOURCES))
+%/index.html:			$(addprefix %/,$(SOURCES)) css
 	cd $(@D) && $(XP) $(DBK2HTML) index.dbk
+	-cp -r $(CURDIR)/images $(CURDIR)/$(MANUAL).css $(@D)
 
 # There must be an easier way than recursive make!
 .PRECIOUS:		%.dbk %.ent
@@ -105,7 +117,7 @@
 
 developers-reference.epub:      $(CURDIR)/developers-reference.epub
 %/developers-reference.epub:     $(addprefix %/,$(SOURCES))
-	TOP=`pwd` && cd $(@D) && xmlto epub index.dbk && mv index.epub $(@F)
+	TOP=`pwd` && cd $(@D) && LC_ALL=C.UTF-8 xmlto epub index.dbk && mv index.epub $(@F)
 
 .PHONY: pot
 pot:					po4a/po/developers-reference.pot
@@ -136,6 +148,7 @@
 .PHONY: clean
 clean:
 	rm -f *.fo *.html *.pdf *.txt *.epub
+	rm -rf images
 	for L in $(LANGS); do rm -rf `basename ./"$$L"/`; done
 	rm -f version.ent
 	rm -f `find . -name "*~" -o -name "*.bak"`

=== debian/changelog ===
developers-reference (3.4.17) unstable; urgency=medium

  * Team upload.
  * Update the section about the package tracker to document
    tracker.debian.org instead of packages.qa.debian.org.

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 09 Dec 2015 10:44:56 +0100

developers-reference (3.4.16) unstable; urgency=medium

  [ Charles Plessy ]
  * Remove sections on the obsolete quinn-diff program and
    debian-maintainers package; update debian-keyring description.
    Closes: #794234, #794235, thanks to Jakub Wilk <jwilk@debian.org>.
  * Update section on debview, now in the debian-el package.
    Closes: #794236, thanks to Jakub Wilk <jwilk@debian.org>.
  * Point Packages-arch-specific URL to cgit mirror.
  * Uploads to suites other than unstable/experimental should use codenames.
    Closes: #796442, thanks to Didier 'OdyX' Raboud <odyx@debian.org>.

  [ Lucas Nussbaum ]
  * Rebuild to fix issues with texlive fonts caused by #796120.
    Closes: #792009, #789391

 -- Lucas Nussbaum <lucas@debian.org>  Fri, 28 Aug 2015 10:49:57 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: doc
 Priority: optional
 Maintainer: Developers Reference Maintainers <debian-policy@lists.debian.org>
-Uploaders: Lucas Nussbaum <lucas@debian.org>, Marc 'HE' Brockschmidt <he@debian.org>, Raphaël Hertzog <hertzog@debian.org>
+Uploaders: Lucas Nussbaum <lucas@debian.org>, Marc 'HE' Brockschmidt <he@debian.org>
 Standards-Version: 3.9.5
 Build-Depends-Indep: docbook-xsl (>= 1.71.0), dblatex (>= 0.2), xsltproc, libxml2-utils, po4a, w3m,
  fonts-ipafont-gothic, fonts-ipafont-mincho, gsfonts, lmodern, tipa,
